%global momorel 1
Name:           gnome-screenshot
Version:        3.30.0
Release: %{momorel}m%{?dist}
Summary:        A screenshot utility for GNOME

Group:          Applications/System
License:        GPLv2+
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/gnome-screenshot/3.30/gnome-screenshot-%{version}.tar.xz
NoSource: 0

BuildRequires: gtk3-devel
BuildRequires: libcanberra-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils

Obsoletes: gnome-utils < 3.3
Obsoletes: gnome-utils-devel < 3.3
Obsoletes: gnome-utils-libs < 3.3

%description
gnome-screenshot lets you take pictures of your screen.

%prep
%setup -q


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Screenshot.desktop


%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi


%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%files -f %{name}.lang
%doc COPYING
%{_bindir}/gnome-screenshot
%{_datadir}/GConf/gsettings/gnome-screenshot.convert
%{_datadir}/applications/org.gnome.Screenshot.desktop
%{_datadir}/dbus-1/services/org.gnome.Screenshot.service
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%{_datadir}/metainfo/org.gnome.Screenshot.metainfo.xml
%doc %{_mandir}/man1/gnome-screenshot.1.*

%changelog
* Mon Sep 17 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.30.0-1m)
- update to 3.30.0

* Sun Mar 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.0-1m)
- update to 3.22.0

* Tue Sep 30 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-1m)
- update to 3.14.0

* Sat Sep 29 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.0-1m)
- update to 3.6.0

* Fri Sep 21 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.92-1m)
- update to 3.5.92

* Thu Aug 23 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.90-1m)
- update to 3.5.90

* Thu Aug 02 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.4-1m)
- import from fedora

